/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03088
 |           ALCOHOL AND DRUG SERVICES STUDY (ADSS), 1996-1999:
 |                            [UNITED STATES]
 |               (DATASET 0001: PHASE I FACILITY INTERVIEW)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (FACID <= -1) THEN FACID = .;
   IF (OUTCODE <= -1) THEN OUTCODE = .;
   IF (A_1 <= -1) THEN A_1 = .;
   IF (A_2 <= -1) THEN A_2 = .;
   IF (A_3 <= -1) THEN A_3 = .;
   IF (A_4A <= -1) THEN A_4A = .;
   IF (A_4B <= -1) THEN A_4B = .;
   IF (A_4C <= -1) THEN A_4C = .;
   IF (A_5A <= -1) THEN A_5A = .;
   IF (A_5B <= -1) THEN A_5B = .;
   IF (A_5C <= -1) THEN A_5C = .;
   IF (A_5D <= -1) THEN A_5D = .;
   IF (A_5E <= -1) THEN A_5E = .;
   IF (A_5F <= -1) THEN A_5F = .;
   IF (A_5G <= -1) THEN A_5G = .;
   IF (A_5H <= -1) THEN A_5H = .;
   IF (A_5I <= -1) THEN A_5I = .;
   IF (A_5J <= -1) THEN A_5J = .;
   IF (A_5K <= -1) THEN A_5K = .;
   IF (A_5L <= -1) THEN A_5L = .;
   IF (A_5M <= -1) THEN A_5M = .;
   IF (A_5N <= -1) THEN A_5N = .;
   IF (A_5O <= -1) THEN A_5O = .;
   IF (A_6 <= -1) THEN A_6 = .;
   IF (A_7A <= -1) THEN A_7A = .;
   IF (A_7B <= -1) THEN A_7B = .;
   IF (A_7C <= -1) THEN A_7C = .;
   IF (A_7D <= -1) THEN A_7D = .;
   IF (A_7E <= -1) THEN A_7E = .;
   IF (A_7F <= -1) THEN A_7F = .;
   IF (A_7G <= -1) THEN A_7G = .;
   IF (A_7H <= -1) THEN A_7H = .;
   IF (A_8 <= -1) THEN A_8 = .;
   IF (A_9BOX <= -1) THEN A_9BOX = .;
   IF (A_9A1 <= -1) THEN A_9A1 = .;
   IF (A_9B1 <= -1) THEN A_9B1 = .;
   IF (A_9C1 <= -1) THEN A_9C1 = .;
   IF (A_9D1 <= -1) THEN A_9D1 = .;
   IF (A_9E1 <= -1) THEN A_9E1 = .;
   IF (A_9F1 <= -1) THEN A_9F1 = .;
   IF (A_9G1 <= -1) THEN A_9G1 = .;
   IF (A_9H1 <= -1) THEN A_9H1 = .;
   IF (A_9I1 <= -1) THEN A_9I1 = .;
   IF (A_9A2 <= -1) THEN A_9A2 = .;
   IF (A_9B2 <= -1) THEN A_9B2 = .;
   IF (A_9C2 <= -1) THEN A_9C2 = .;
   IF (A_9D2 <= -1) THEN A_9D2 = .;
   IF (A_9E2 <= -1) THEN A_9E2 = .;
   IF (A_9F2 <= -1) THEN A_9F2 = .;
   IF (A_9G2 <= -1) THEN A_9G2 = .;
   IF (A_9H2 <= -1) THEN A_9H2 = .;
   IF (A_9I2 <= -1) THEN A_9I2 = .;
   IF (A_9A3 <= -1) THEN A_9A3 = .;
   IF (A_9B3 <= -1) THEN A_9B3 = .;
   IF (A_9C3 <= -1) THEN A_9C3 = .;
   IF (A_9D3 <= -1) THEN A_9D3 = .;
   IF (A_9E3 <= -1) THEN A_9E3 = .;
   IF (A_9F3 <= -1) THEN A_9F3 = .;
   IF (A_9G3 <= -1) THEN A_9G3 = .;
   IF (A_9H3 <= -1) THEN A_9H3 = .;
   IF (A_9I3 <= -1) THEN A_9I3 = .;
   IF (A_9A4 <= -1) THEN A_9A4 = .;
   IF (A_9B4 <= -1) THEN A_9B4 = .;
   IF (A_9C4 <= -1) THEN A_9C4 = .;
   IF (A_9D4 <= -1) THEN A_9D4 = .;
   IF (A_9E4 <= -1) THEN A_9E4 = .;
   IF (A_9F4 <= -1) THEN A_9F4 = .;
   IF (A_9G4 <= -1) THEN A_9G4 = .;
   IF (A_9H4 <= -1) THEN A_9H4 = .;
   IF (A_9I4 <= -1) THEN A_9I4 = .;
   IF (A_10 <= -1) THEN A_10 = .;
   IF (A_11 <= -1) THEN A_11 = .;
   IF (A_13A <= -1) THEN A_13A = .;
   IF (A_13B <= -1) THEN A_13B = .;
   IF (A_13C <= -1) THEN A_13C = .;
   IF (A_13D <= -1) THEN A_13D = .;
   IF (A_13E <= -1) THEN A_13E = .;
   IF (A_14A <= -1) THEN A_14A = .;
   IF (A_14B <= -1) THEN A_14B = .;
   IF (A_14C <= -1) THEN A_14C = .;
   IF (A_14D <= -1) THEN A_14D = .;
   IF (A_15A <= -1) THEN A_15A = .;
   IF (A_15B <= -1) THEN A_15B = .;
   IF (A_15C <= -1) THEN A_15C = .;
   IF (A_15D <= -1) THEN A_15D = .;
   IF (A_15E <= -1) THEN A_15E = .;
   IF (A_15F <= -1) THEN A_15F = .;
   IF (A_15G <= -1) THEN A_15G = .;
   IF (A_15H <= -1) THEN A_15H = .;
   IF (A_16 <= -1) THEN A_16 = .;
   IF (A_17 <= -1) THEN A_17 = .;
   IF (B1A1 <= -1) THEN B1A1 = .;
   IF (B1A2 <= -1) THEN B1A2 = .;
   IF (B1A3 <= -1) THEN B1A3 = .;
   IF (B1B1 <= -1) THEN B1B1 = .;
   IF (B1B2 <= -1) THEN B1B2 = .;
   IF (B1B3 <= -1) THEN B1B3 = .;
   IF (B1C1 <= -1) THEN B1C1 = .;
   IF (B1C2 <= -1) THEN B1C2 = .;
   IF (B1C3 <= -1) THEN B1C3 = .;
   IF (B1D1 <= -1) THEN B1D1 = .;
   IF (B1D2 <= -1) THEN B1D2 = .;
   IF (B1D3 <= -1) THEN B1D3 = .;
   IF (B1E1 <= -1) THEN B1E1 = .;
   IF (B1E2 <= -1) THEN B1E2 = .;
   IF (B1E3 <= -1) THEN B1E3 = .;
   IF (B1F1 <= -1) THEN B1F1 = .;
   IF (B1F2 <= -1) THEN B1F2 = .;
   IF (B1F3 <= -1) THEN B1F3 = .;
   IF (B1G1 <= -1) THEN B1G1 = .;
   IF (B1G2 <= -1) THEN B1G2 = .;
   IF (B1G3 <= -1) THEN B1G3 = .;
   IF (B1H1 <= -1) THEN B1H1 = .;
   IF (B1H2 <= -1) THEN B1H2 = .;
   IF (B1H3 <= -1) THEN B1H3 = .;
   IF (B1I1 <= -1) THEN B1I1 = .;
   IF (B1I2 <= -1) THEN B1I2 = .;
   IF (B1I3 <= -1) THEN B1I3 = .;
   IF (B1J2 <= -1) THEN B1J2 = .;
   IF (B1J3 <= -1) THEN B1J3 = .;
   IF (B2INT <= -1) THEN B2INT = .;
   IF (B2INA1 <= -1) THEN B2INA1 = .;
   IF (B2INA2 <= -1) THEN B2INA2 = .;
   IF (B2INA3 <= -1) THEN B2INA3 = .;
   IF (B2INAT <= -1) THEN B2INAT = .;
   IF (B2INB1 <= -1) THEN B2INB1 = .;
   IF (B2INB2 <= -1) THEN B2INB2 = .;
   IF (B2INB3 <= -1) THEN B2INB3 = .;
   IF (B2INB4 <= -1) THEN B2INB4 = .;
   IF (B2INB5 <= -1) THEN B2INB5 = .;
   IF (B2INB6 <= -1) THEN B2INB6 = .;
   IF (B2INBT <= -1) THEN B2INBT = .;
   IF (B2INC1 <= -1) THEN B2INC1 = .;
   IF (B2INC2 <= -1) THEN B2INC2 = .;
   IF (B2INC3 <= -1) THEN B2INC3 = .;
   IF (B2INC4 <= -1) THEN B2INC4 = .;
   IF (B2INC5 <= -1) THEN B2INC5 = .;
   IF (B2INC6 <= -1) THEN B2INC6 = .;
   IF (B2INCT <= -1) THEN B2INCT = .;
   IF (B2IND1 <= -1) THEN B2IND1 = .;
   IF (B2IND2 <= -1) THEN B2IND2 = .;
   IF (B2IND3 <= -1) THEN B2IND3 = .;
   IF (B2IND4 <= -1) THEN B2IND4 = .;
   IF (B2IND5 <= -1) THEN B2IND5 = .;
   IF (B2IND6 <= -1) THEN B2IND6 = .;
   IF (B2IND7 <= -1) THEN B2IND7 = .;
   IF (B2IND8 <= -1) THEN B2IND8 = .;
   IF (B2INDT <= -1) THEN B2INDT = .;
   IF (B2INE1 <= -1) THEN B2INE1 = .;
   IF (B2INE2 <= -1) THEN B2INE2 = .;
   IF (B2INE3 <= -1) THEN B2INE3 = .;
   IF (B2INE4 <= -1) THEN B2INE4 = .;
   IF (B2INE5 <= -1) THEN B2INE5 = .;
   IF (B2INE6 <= -1) THEN B2INE6 = .;
   IF (B2INE7 <= -1) THEN B2INE7 = .;
   IF (B2INE8 <= -1) THEN B2INE8 = .;
   IF (B2INE9 <= -1) THEN B2INE9 = .;
   IF (B2INE10 <= -1) THEN B2INE10 = .;
   IF (B2INET <= -1) THEN B2INET = .;
   IF (B2RET <= -1) THEN B2RET = .;
   IF (B2REA1 <= -1) THEN B2REA1 = .;
   IF (B2REA2 <= -1) THEN B2REA2 = .;
   IF (B2REA3 <= -1) THEN B2REA3 = .;
   IF (B2REAT <= -1) THEN B2REAT = .;
   IF (B2REB1 <= -1) THEN B2REB1 = .;
   IF (B2REB2 <= -1) THEN B2REB2 = .;
   IF (B2REB3 <= -1) THEN B2REB3 = .;
   IF (B2REB4 <= -1) THEN B2REB4 = .;
   IF (B2REB5 <= -1) THEN B2REB5 = .;
   IF (B2REB6 <= -1) THEN B2REB6 = .;
   IF (B2REBT <= -1) THEN B2REBT = .;
   IF (B2REC1 <= -1) THEN B2REC1 = .;
   IF (B2REC2 <= -1) THEN B2REC2 = .;
   IF (B2REC3 <= -1) THEN B2REC3 = .;
   IF (B2REC4 <= -1) THEN B2REC4 = .;
   IF (B2REC5 <= -1) THEN B2REC5 = .;
   IF (B2REC6 <= -1) THEN B2REC6 = .;
   IF (B2RECT <= -1) THEN B2RECT = .;
   IF (B2RED1 <= -1) THEN B2RED1 = .;
   IF (B2RED2 <= -1) THEN B2RED2 = .;
   IF (B2RED3 <= -1) THEN B2RED3 = .;
   IF (B2RED4 <= -1) THEN B2RED4 = .;
   IF (B2RED5 <= -1) THEN B2RED5 = .;
   IF (B2RED6 <= -1) THEN B2RED6 = .;
   IF (B2RED7 <= -1) THEN B2RED7 = .;
   IF (B2RED8 <= -1) THEN B2RED8 = .;
   IF (B2REDT <= -1) THEN B2REDT = .;
   IF (B2REE1 <= -1) THEN B2REE1 = .;
   IF (B2REE2 <= -1) THEN B2REE2 = .;
   IF (B2REE3 <= -1) THEN B2REE3 = .;
   IF (B2REE4 <= -1) THEN B2REE4 = .;
   IF (B2REE5 <= -1) THEN B2REE5 = .;
   IF (B2REE6 <= -1) THEN B2REE6 = .;
   IF (B2REE7 <= -1) THEN B2REE7 = .;
   IF (B2REE8 <= -1) THEN B2REE8 = .;
   IF (B2REE9 <= -1) THEN B2REE9 = .;
   IF (B2REE10 <= -1) THEN B2REE10 = .;
   IF (B2REET <= -1) THEN B2REET = .;
   IF (B2OMT <= -1) THEN B2OMT = .;
   IF (B2OMA1 <= -1) THEN B2OMA1 = .;
   IF (B2OMA2 <= -1) THEN B2OMA2 = .;
   IF (B2OMA3 <= -1) THEN B2OMA3 = .;
   IF (B2OMAT <= -1) THEN B2OMAT = .;
   IF (B2OMB1 <= -1) THEN B2OMB1 = .;
   IF (B2OMB2 <= -1) THEN B2OMB2 = .;
   IF (B2OMB3 <= -1) THEN B2OMB3 = .;
   IF (B2OMB4 <= -1) THEN B2OMB4 = .;
   IF (B2OMB5 <= -1) THEN B2OMB5 = .;
   IF (B2OMB6 <= -1) THEN B2OMB6 = .;
   IF (B2OMBT <= -1) THEN B2OMBT = .;
   IF (B2OMC1 <= -1) THEN B2OMC1 = .;
   IF (B2OMC2 <= -1) THEN B2OMC2 = .;
   IF (B2OMC3 <= -1) THEN B2OMC3 = .;
   IF (B2OMC4 <= -1) THEN B2OMC4 = .;
   IF (B2OMC5 <= -1) THEN B2OMC5 = .;
   IF (B2OMC6 <= -1) THEN B2OMC6 = .;
   IF (B2OMCT <= -1) THEN B2OMCT = .;
   IF (B2OMD1 <= -1) THEN B2OMD1 = .;
   IF (B2OMD2 <= -1) THEN B2OMD2 = .;
   IF (B2OMD3 <= -1) THEN B2OMD3 = .;
   IF (B2OMD4 <= -1) THEN B2OMD4 = .;
   IF (B2OMD5 <= -1) THEN B2OMD5 = .;
   IF (B2OMD6 <= -1) THEN B2OMD6 = .;
   IF (B2OMD7 <= -1) THEN B2OMD7 = .;
   IF (B2OMD8 <= -1) THEN B2OMD8 = .;
   IF (B2OMDT <= -1) THEN B2OMDT = .;
   IF (B2OME1 <= -1) THEN B2OME1 = .;
   IF (B2OME2 <= -1) THEN B2OME2 = .;
   IF (B2OME3 <= -1) THEN B2OME3 = .;
   IF (B2OME4 <= -1) THEN B2OME4 = .;
   IF (B2OME5 <= -1) THEN B2OME5 = .;
   IF (B2OME6 <= -1) THEN B2OME6 = .;
   IF (B2OME7 <= -1) THEN B2OME7 = .;
   IF (B2OME8 <= -1) THEN B2OME8 = .;
   IF (B2OME9 <= -1) THEN B2OME9 = .;
   IF (B2OME10 <= -1) THEN B2OME10 = .;
   IF (B2OMET <= -1) THEN B2OMET = .;
   IF (B2ONT <= -1) THEN B2ONT = .;
   IF (B2ONA1 <= -1) THEN B2ONA1 = .;
   IF (B2ONA2 <= -1) THEN B2ONA2 = .;
   IF (B2ONA3 <= -1) THEN B2ONA3 = .;
   IF (B2ONAT <= -1) THEN B2ONAT = .;
   IF (B2ONB1 <= -1) THEN B2ONB1 = .;
   IF (B2ONB2 <= -1) THEN B2ONB2 = .;
   IF (B2ONB3 <= -1) THEN B2ONB3 = .;
   IF (B2ONB4 <= -1) THEN B2ONB4 = .;
   IF (B2ONB5 <= -1) THEN B2ONB5 = .;
   IF (B2ONB6 <= -1) THEN B2ONB6 = .;
   IF (B2ONBT <= -1) THEN B2ONBT = .;
   IF (B2ONC1 <= -1) THEN B2ONC1 = .;
   IF (B2ONC2 <= -1) THEN B2ONC2 = .;
   IF (B2ONC3 <= -1) THEN B2ONC3 = .;
   IF (B2ONC4 <= -1) THEN B2ONC4 = .;
   IF (B2ONC5 <= -1) THEN B2ONC5 = .;
   IF (B2ONC6 <= -1) THEN B2ONC6 = .;
   IF (B2ONCT <= -1) THEN B2ONCT = .;
   IF (B2OND1 <= -1) THEN B2OND1 = .;
   IF (B2OND2 <= -1) THEN B2OND2 = .;
   IF (B2OND3 <= -1) THEN B2OND3 = .;
   IF (B2OND4 <= -1) THEN B2OND4 = .;
   IF (B2OND5 <= -1) THEN B2OND5 = .;
   IF (B2OND6 <= -1) THEN B2OND6 = .;
   IF (B2OND7 <= -1) THEN B2OND7 = .;
   IF (B2OND8 <= -1) THEN B2OND8 = .;
   IF (B2ONDT <= -1) THEN B2ONDT = .;
   IF (B2ONE1 <= -1) THEN B2ONE1 = .;
   IF (B2ONE2 <= -1) THEN B2ONE2 = .;
   IF (B2ONE3 <= -1) THEN B2ONE3 = .;
   IF (B2ONE4 <= -1) THEN B2ONE4 = .;
   IF (B2ONE5 <= -1) THEN B2ONE5 = .;
   IF (B2ONE6 <= -1) THEN B2ONE6 = .;
   IF (B2ONE7 <= -1) THEN B2ONE7 = .;
   IF (B2ONE8 <= -1) THEN B2ONE8 = .;
   IF (B2ONE9 <= -1) THEN B2ONE9 = .;
   IF (B2ONE10 <= -1) THEN B2ONE10 = .;
   IF (B2ONET <= -1) THEN B2ONET = .;
   IF (B3 <= -1) THEN B3 = .;
   IF (B4 <= -1) THEN B4 = .;
   IF (B5 <= -1) THEN B5 = .;
   IF (B6A <= -1) THEN B6A = .;
   IF (B6B <= -1) THEN B6B = .;
   IF (B6C <= -1) THEN B6C = .;
   IF (B6D <= -1) THEN B6D = .;
   IF (B6E <= -1) THEN B6E = .;
   IF (B6F <= -1) THEN B6F = .;
   IF (B6G <= -1) THEN B6G = .;
   IF (B6H <= -1) THEN B6H = .;
   IF (B6I <= -1) THEN B6I = .;
   IF (B7A <= -1) THEN B7A = .;
   IF (B7B <= -1) THEN B7B = .;
   IF (B7C <= -1) THEN B7C = .;
   IF (B8 <= -1) THEN B8 = .;
   IF (B9 <= -1) THEN B9 = .;
   IF (B10A <= -1) THEN B10A = .;
   IF (B10B <= -1) THEN B10B = .;
   IF (B10C <= -1) THEN B10C = .;
   IF (B10D <= -1) THEN B10D = .;
   IF (B10E <= -1) THEN B10E = .;
   IF (B10F <= -1) THEN B10F = .;
   IF (B11 <= -1) THEN B11 = .;
   IF (B12A <= -1) THEN B12A = .;
   IF (B12B <= -1) THEN B12B = .;
   IF (B13 <= -1) THEN B13 = .;
   IF (B14 <= -1) THEN B14 = .;
   IF (B15A <= -1) THEN B15A = .;
   IF (B15B <= -1) THEN B15B = .;
   IF (B15C <= -1) THEN B15C = .;
   IF (B15D <= -1) THEN B15D = .;
   IF (B15E <= -1) THEN B15E = .;
   IF (B16 <= -1) THEN B16 = .;
   IF (C1FMM <= -1) THEN C1FMM = .;
   IF (C1FDD <= -1) THEN C1FDD = .;
   IF (C1FYY <= -1) THEN C1FYY = .;
   IF (C1TMM <= -1) THEN C1TMM = .;
   IF (C1TDD <= -1) THEN C1TDD = .;
   IF (C1TYY <= -1) THEN C1TYY = .;
   IF (C2A1 <= -1) THEN C2A1 = .;
   IF (C2A2 <= -1) THEN C2A2 = .;
   IF (C2A3 <= -1) THEN C2A3 = .;
   IF (C2B1 <= -1) THEN C2B1 = .;
   IF (C2B2 <= -1) THEN C2B2 = .;
   IF (C2B3 <= -1) THEN C2B3 = .;
   IF (C2C1 <= -1) THEN C2C1 = .;
   IF (C2C2 <= -1) THEN C2C2 = .;
   IF (C2C3 <= -1) THEN C2C3 = .;
   IF (C2D1 <= -1) THEN C2D1 = .;
   IF (C2D2 <= -1) THEN C2D2 = .;
   IF (C2D3 <= -1) THEN C2D3 = .;
   IF (C2E1 <= -1) THEN C2E1 = .;
   IF (C2E2 <= -1) THEN C2E2 = .;
   IF (C2E3 <= -1) THEN C2E3 = .;
   IF (C2F1 <= -1) THEN C2F1 = .;
   IF (C2F2 <= -1) THEN C2F2 = .;
   IF (C3A <= -1) THEN C3A = .;
   IF (C3B <= -1) THEN C3B = .;
   IF (C3C <= -1) THEN C3C = .;
   IF (C3D <= -1) THEN C3D = .;
   IF (C4A <= -1) THEN C4A = .;
   IF (C4ANUM <= -1) THEN C4ANUM = .;
   IF (C4B <= -1) THEN C4B = .;
   IF (C4BNUM <= -1) THEN C4BNUM = .;
   IF (C4C <= -1) THEN C4C = .;
   IF (C4CNUM <= -1) THEN C4CNUM = .;
   IF (C4D <= -1) THEN C4D = .;
   IF (C4DNUM <= -1) THEN C4DNUM = .;
   IF (C4E <= -1) THEN C4E = .;
   IF (C4ENUM <= -1) THEN C4ENUM = .;
   IF (C5 <= -1) THEN C5 = .;
   IF (C6AA <= -1) THEN C6AA = .;
   IF (C6AD <= -1) THEN C6AD = .;
   IF (C6BA <= -1) THEN C6BA = .;
   IF (C6BD <= -1) THEN C6BD = .;
   IF (C7 <= -1) THEN C7 = .;
   IF (C8A <= -1) THEN C8A = .;
   IF (C8B <= -1) THEN C8B = .;
   IF (C8C <= -1) THEN C8C = .;
   IF (C9A <= -1) THEN C9A = .;
   IF (C9B <= -1) THEN C9B = .;
   IF (C9C <= -1) THEN C9C = .;
   IF (C9D <= -1) THEN C9D = .;
   IF (C9E <= -1) THEN C9E = .;
   IF (C9F <= -1) THEN C9F = .;
   IF (C9G <= -1) THEN C9G = .;
   IF (C9H <= -1) THEN C9H = .;
   IF (C9I <= -1) THEN C9I = .;
   IF (C9J <= -1) THEN C9J = .;
   IF (C9K <= -1) THEN C9K = .;
   IF (C9L <= -1) THEN C9L = .;
   IF (C9M <= -1) THEN C9M = .;
   IF (C9N <= -1) THEN C9N = .;
   IF (C9O <= -1) THEN C9O = .;
   IF (C9P <= -1) THEN C9P = .;
   IF (C9Q <= -1) THEN C9Q = .;
   IF (C9R <= -1) THEN C9R = .;
   IF (C9S <= -1) THEN C9S = .;
   IF (D1 <= -1) THEN D1 = .;
   IF (D2 <= -1) THEN D2 = .;
   IF (D3 <= -1) THEN D3 = .;
   IF (D4 <= -1) THEN D4 = .;
   IF (D5A <= -1) THEN D5A = .;
   IF (D5APC <= -1) THEN D5APC = .;
   IF (D5B <= -1) THEN D5B = .;
   IF (D5BPC <= -1) THEN D5BPC = .;
   IF (D5C <= -1) THEN D5C = .;
   IF (D5CPC <= -1) THEN D5CPC = .;
   IF (D5D <= -1) THEN D5D = .;
   IF (D5DPC <= -1) THEN D5DPC = .;
   IF (D5DOTH <= -1) THEN D5DOTH = .;
   IF (D6A <= -1) THEN D6A = .;
   IF (D6B <= -1) THEN D6B = .;
   IF (D6C <= -1) THEN D6C = .;
   IF (D6D <= -1) THEN D6D = .;
   IF (D6E <= -1) THEN D6E = .;
   IF (D6F <= -1) THEN D6F = .;
   IF (D7 <= -1) THEN D7 = .;
   IF (D8A <= -1) THEN D8A = .;
   IF (D8APC <= -1) THEN D8APC = .;
   IF (D8B <= -1) THEN D8B = .;
   IF (D8BPC <= -1) THEN D8BPC = .;
   IF (D8C <= -1) THEN D8C = .;
   IF (D8CPC <= -1) THEN D8CPC = .;
   IF (D8D <= -1) THEN D8D = .;
   IF (D8DPC <= -1) THEN D8DPC = .;
   IF (D8E <= -1) THEN D8E = .;
   IF (D8EPC <= -1) THEN D8EPC = .;
   IF (D8F <= -1) THEN D8F = .;
   IF (D8FPC <= -1) THEN D8FPC = .;
   IF (D8G <= -1) THEN D8G = .;
   IF (D8GPC <= -1) THEN D8GPC = .;
   IF (D8H <= -1) THEN D8H = .;
   IF (D8HPC <= -1) THEN D8HPC = .;
   IF (D8I <= -1) THEN D8I = .;
   IF (D8IPC <= -1) THEN D8IPC = .;
   IF (D8J <= -1) THEN D8J = .;
   IF (D8JPC <= -1) THEN D8JPC = .;
   IF (D8TOT <= -1) THEN D8TOT = .;
   IF (D9FMM <= -1) THEN D9FMM = .;
   IF (D9FDD <= -1) THEN D9FDD = .;
   IF (D9FYY <= -1) THEN D9FYY = .;
   IF (D9TMM <= -1) THEN D9TMM = .;
   IF (D9TDD <= -1) THEN D9TDD = .;
   IF (D9TYY <= -1) THEN D9TYY = .;
   IF (D10BOX <= -1) THEN D10BOX = .;
   IF (D10PC <= -1) THEN D10PC = .;
   IF (D11 <= -1) THEN D11 = .;
   IF (D12A <= -1) THEN D12A = .;
   IF (D12APC <= -1) THEN D12APC = .;
   IF (D12B <= -1) THEN D12B = .;
   IF (D12BPC <= -1) THEN D12BPC = .;
   IF (D12C <= -1) THEN D12C = .;
   IF (D12CPC <= -1) THEN D12CPC = .;
   IF (D12D <= -1) THEN D12D = .;
   IF (D13A <= -1) THEN D13A = .;
   IF (D13APC <= -1) THEN D13APC = .;
   IF (D13B <= -1) THEN D13B = .;
   IF (D13BPC <= -1) THEN D13BPC = .;
   IF (D13C <= -1) THEN D13C = .;
   IF (D14 <= -1) THEN D14 = .;
   IF (D15A <= -1) THEN D15A = .;
   IF (D15APC <= -1) THEN D15APC = .;
   IF (D15B <= -1) THEN D15B = .;
   IF (D15BPC <= -1) THEN D15BPC = .;
   IF (D15C <= -1) THEN D15C = .;
   IF (D15CPC <= -1) THEN D15CPC = .;
   IF (D15D <= -1) THEN D15D = .;
   IF (D16A <= -1) THEN D16A = .;
   IF (D16B <= -1) THEN D16B = .;
   IF (D16C <= -1) THEN D16C = .;
   IF (D16C1 <= -1) THEN D16C1 = .;
   IF (D16C2 <= -1) THEN D16C2 = .;
   IF (D16D <= -1) THEN D16D = .;
   IF (D16E <= -1) THEN D16E = .;
   IF (D17FMM <= -1) THEN D17FMM = .;
   IF (D17FDD <= -1) THEN D17FDD = .;
   IF (D17FYY <= -1) THEN D17FYY = .;
   IF (D17TMM <= -1) THEN D17TMM = .;
   IF (D17TDD <= -1) THEN D17TDD = .;
   IF (D17TYY <= -1) THEN D17TYY = .;
   IF (D18BOX <= -1) THEN D18BOX = .;
   IF (D18PC <= -1) THEN D18PC = .;
   IF (D19 <= -1) THEN D19 = .;
   IF (D20 <= -1) THEN D20 = .;
   IF (D21 <= -1) THEN D21 = .;
   IF (MULTSITE <= -1) THEN MULTSITE = .;
   IF (A_9FLG <= -1) THEN A_9FLG = .;
   IF (B1FLG <= -1) THEN B1FLG = .;
   IF (B2FLG <= -1) THEN B2FLG = .;
   IF (B3FLG <= -1) THEN B3FLG = .;
   IF (B4FLG <= -1) THEN B4FLG = .;
   IF (B12FLG <= -1) THEN B12FLG = .;
   IF (D4FLG <= -1) THEN D4FLG = .;
   IF (C2FLG <= -1) THEN C2FLG = .;
   IF (C4AFLG <= -1) THEN C4AFLG = .;
   IF (C4BFLG <= -1) THEN C4BFLG = .;
   IF (D8FLG <= -1) THEN D8FLG = .;
   IF (D12FLG <= -1) THEN D12FLG = .;
   IF (D13FLG <= -1) THEN D13FLG = .;
   IF (D15FLG <= -1) THEN D15FLG = .;
   IF (D16FLG <= -1) THEN D16FLG = .;
   IF (A_9BOX_F <= -1) THEN A_9BOX_F = .;
   IF (A_9A1_F <= -1) THEN A_9A1_F = .;
   IF (A_9B1_F <= -1) THEN A_9B1_F = .;
   IF (A_9C1_F <= -1) THEN A_9C1_F = .;
   IF (A_9D1_F <= -1) THEN A_9D1_F = .;
   IF (A_9E1_F <= -1) THEN A_9E1_F = .;
   IF (A_9F1_F <= -1) THEN A_9F1_F = .;
   IF (A_9G1_F <= -1) THEN A_9G1_F = .;
   IF (A_9H1_F <= -1) THEN A_9H1_F = .;
   IF (A_9I1_F <= -1) THEN A_9I1_F = .;
   IF (A_9A2_F <= -1) THEN A_9A2_F = .;
   IF (A_9B2_F <= -1) THEN A_9B2_F = .;
   IF (A_9C2_F <= -1) THEN A_9C2_F = .;
   IF (A_9D2_F <= -1) THEN A_9D2_F = .;
   IF (A_9E2_F <= -1) THEN A_9E2_F = .;
   IF (A_9F2_F <= -1) THEN A_9F2_F = .;
   IF (A_9G2_F <= -1) THEN A_9G2_F = .;
   IF (A_9H2_F <= -1) THEN A_9H2_F = .;
   IF (A_9I2_F <= -1) THEN A_9I2_F = .;
   IF (A_9A3_F <= -1) THEN A_9A3_F = .;
   IF (A_9B3_F <= -1) THEN A_9B3_F = .;
   IF (A_9C3_F <= -1) THEN A_9C3_F = .;
   IF (A_9D3_F <= -1) THEN A_9D3_F = .;
   IF (A_9E3_F <= -1) THEN A_9E3_F = .;
   IF (A_9F3_F <= -1) THEN A_9F3_F = .;
   IF (A_9G3_F <= -1) THEN A_9G3_F = .;
   IF (A_9H3_F <= -1) THEN A_9H3_F = .;
   IF (A_9I3_F <= -1) THEN A_9I3_F = .;
   IF (A_9A4_F <= -1) THEN A_9A4_F = .;
   IF (A_9B4_F <= -1) THEN A_9B4_F = .;
   IF (A_9C4_F <= -1) THEN A_9C4_F = .;
   IF (A_9D4_F <= -1) THEN A_9D4_F = .;
   IF (A_9E4_F <= -1) THEN A_9E4_F = .;
   IF (A_9F4_F <= -1) THEN A_9F4_F = .;
   IF (A_9G4_F <= -1) THEN A_9G4_F = .;
   IF (A_9H4_F <= -1) THEN A_9H4_F = .;
   IF (A_9I4_F <= -1) THEN A_9I4_F = .;
   IF (B1A1_F <= -1) THEN B1A1_F = .;
   IF (B1A2_F <= -1) THEN B1A2_F = .;
   IF (B1A3_F <= -1) THEN B1A3_F = .;
   IF (B1B1_F <= -1) THEN B1B1_F = .;
   IF (B1B2_F <= -1) THEN B1B2_F = .;
   IF (B1B3_F <= -1) THEN B1B3_F = .;
   IF (B1C1_F <= -1) THEN B1C1_F = .;
   IF (B1C2_F <= -1) THEN B1C2_F = .;
   IF (B1C3_F <= -1) THEN B1C3_F = .;
   IF (B1D1_F <= -1) THEN B1D1_F = .;
   IF (B1D2_F <= -1) THEN B1D2_F = .;
   IF (B1D3_F <= -1) THEN B1D3_F = .;
   IF (B1E1_F <= -1) THEN B1E1_F = .;
   IF (B1E2_F <= -1) THEN B1E2_F = .;
   IF (B1E3_F <= -1) THEN B1E3_F = .;
   IF (B1F1_F <= -1) THEN B1F1_F = .;
   IF (B1F2_F <= -1) THEN B1F2_F = .;
   IF (B1F3_F <= -1) THEN B1F3_F = .;
   IF (B1G1_F <= -1) THEN B1G1_F = .;
   IF (B1G2_F <= -1) THEN B1G2_F = .;
   IF (B1G3_F <= -1) THEN B1G3_F = .;
   IF (B1H1_F <= -1) THEN B1H1_F = .;
   IF (B1H2_F <= -1) THEN B1H2_F = .;
   IF (B1H3_F <= -1) THEN B1H3_F = .;
   IF (B1I1_F <= -1) THEN B1I1_F = .;
   IF (B1I2_F <= -1) THEN B1I2_F = .;
   IF (B1I3_F <= -1) THEN B1I3_F = .;
   IF (B1J2_F <= -1) THEN B1J2_F = .;
   IF (B1J3_F <= -1) THEN B1J3_F = .;
   IF (B2INT_F <= -1) THEN B2INT_F = .;
   IF (B2INA1_F <= -1) THEN B2INA1_F = .;
   IF (B2INA2_F <= -1) THEN B2INA2_F = .;
   IF (B2INA3_F <= -1) THEN B2INA3_F = .;
   IF (B2INAT_F <= -1) THEN B2INAT_F = .;
   IF (B2INB1_F <= -1) THEN B2INB1_F = .;
   IF (B2INB2_F <= -1) THEN B2INB2_F = .;
   IF (B2INB3_F <= -1) THEN B2INB3_F = .;
   IF (B2INB4_F <= -1) THEN B2INB4_F = .;
   IF (B2INB5_F <= -1) THEN B2INB5_F = .;
   IF (B2INB6_F <= -1) THEN B2INB6_F = .;
   IF (B2INBT_F <= -1) THEN B2INBT_F = .;
   IF (B2INC1_F <= -1) THEN B2INC1_F = .;
   IF (B2INC2_F <= -1) THEN B2INC2_F = .;
   IF (B2INC3_F <= -1) THEN B2INC3_F = .;
   IF (B2INC4_F <= -1) THEN B2INC4_F = .;
   IF (B2INC5_F <= -1) THEN B2INC5_F = .;
   IF (B2INC6_F <= -1) THEN B2INC6_F = .;
   IF (B2INCT_F <= -1) THEN B2INCT_F = .;
   IF (B2IND1_F <= -1) THEN B2IND1_F = .;
   IF (B2IND2_F <= -1) THEN B2IND2_F = .;
   IF (B2IND3_F <= -1) THEN B2IND3_F = .;
   IF (B2IND4_F <= -1) THEN B2IND4_F = .;
   IF (B2IND5_F <= -1) THEN B2IND5_F = .;
   IF (B2IND6_F <= -1) THEN B2IND6_F = .;
   IF (B2IND7_F <= -1) THEN B2IND7_F = .;
   IF (B2IND8_F <= -1) THEN B2IND8_F = .;
   IF (B2INDT_F <= -1) THEN B2INDT_F = .;
   IF (B2INE1_F <= -1) THEN B2INE1_F = .;
   IF (B2INE2_F <= -1) THEN B2INE2_F = .;
   IF (B2INE3_F <= -1) THEN B2INE3_F = .;
   IF (B2INE4_F <= -1) THEN B2INE4_F = .;
   IF (B2INE5_F <= -1) THEN B2INE5_F = .;
   IF (B2INE6_F <= -1) THEN B2INE6_F = .;
   IF (B2INE7_F <= -1) THEN B2INE7_F = .;
   IF (B2INE8_F <= -1) THEN B2INE8_F = .;
   IF (B2INE9_F <= -1) THEN B2INE9_F = .;
   IF (B2INE10F <= -1) THEN B2INE10F = .;
   IF (B2INET_F <= -1) THEN B2INET_F = .;
   IF (B2RET_F <= -1) THEN B2RET_F = .;
   IF (B2REA1_F <= -1) THEN B2REA1_F = .;
   IF (B2REA2_F <= -1) THEN B2REA2_F = .;
   IF (B2REA3_F <= -1) THEN B2REA3_F = .;
   IF (B2REAT_F <= -1) THEN B2REAT_F = .;
   IF (B2REB1_F <= -1) THEN B2REB1_F = .;
   IF (B2REB2_F <= -1) THEN B2REB2_F = .;
   IF (B2REB3_F <= -1) THEN B2REB3_F = .;
   IF (B2REB4_F <= -1) THEN B2REB4_F = .;
   IF (B2REB5_F <= -1) THEN B2REB5_F = .;
   IF (B2REB6_F <= -1) THEN B2REB6_F = .;
   IF (B2REBT_F <= -1) THEN B2REBT_F = .;
   IF (B2REC1_F <= -1) THEN B2REC1_F = .;
   IF (B2REC2_F <= -1) THEN B2REC2_F = .;
   IF (B2REC3_F <= -1) THEN B2REC3_F = .;
   IF (B2REC4_F <= -1) THEN B2REC4_F = .;
   IF (B2REC5_F <= -1) THEN B2REC5_F = .;
   IF (B2REC6_F <= -1) THEN B2REC6_F = .;
   IF (B2RECT_F <= -1) THEN B2RECT_F = .;
   IF (B2RED1_F <= -1) THEN B2RED1_F = .;
   IF (B2RED2_F <= -1) THEN B2RED2_F = .;
   IF (B2RED3_F <= -1) THEN B2RED3_F = .;
   IF (B2RED4_F <= -1) THEN B2RED4_F = .;
   IF (B2RED5_F <= -1) THEN B2RED5_F = .;
   IF (B2RED6_F <= -1) THEN B2RED6_F = .;
   IF (B2RED7_F <= -1) THEN B2RED7_F = .;
   IF (B2RED8_F <= -1) THEN B2RED8_F = .;
   IF (B2REDT_F <= -1) THEN B2REDT_F = .;
   IF (B2REE1_F <= -1) THEN B2REE1_F = .;
   IF (B2REE2_F <= -1) THEN B2REE2_F = .;
   IF (B2REE3_F <= -1) THEN B2REE3_F = .;
   IF (B2REE4_F <= -1) THEN B2REE4_F = .;
   IF (B2REE5_F <= -1) THEN B2REE5_F = .;
   IF (B2REE6_F <= -1) THEN B2REE6_F = .;
   IF (B2REE7_F <= -1) THEN B2REE7_F = .;
   IF (B2REE8_F <= -1) THEN B2REE8_F = .;
   IF (B2REE9_F <= -1) THEN B2REE9_F = .;
   IF (B2REE10F <= -1) THEN B2REE10F = .;
   IF (B2REET_F <= -1) THEN B2REET_F = .;
   IF (B2OMT_F <= -1) THEN B2OMT_F = .;
   IF (B2OMA1_F <= -1) THEN B2OMA1_F = .;
   IF (B2OMA2_F <= -1) THEN B2OMA2_F = .;
   IF (B2OMA3_F <= -1) THEN B2OMA3_F = .;
   IF (B2OMAT_F <= -1) THEN B2OMAT_F = .;
   IF (B2OMB1_F <= -1) THEN B2OMB1_F = .;
   IF (B2OMB2_F <= -1) THEN B2OMB2_F = .;
   IF (B2OMB3_F <= -1) THEN B2OMB3_F = .;
   IF (B2OMB4_F <= -1) THEN B2OMB4_F = .;
   IF (B2OMB5_F <= -1) THEN B2OMB5_F = .;
   IF (B2OMB6_F <= -1) THEN B2OMB6_F = .;
   IF (B2OMBT_F <= -1) THEN B2OMBT_F = .;
   IF (B2OMC1_F <= -1) THEN B2OMC1_F = .;
   IF (B2OMC2_F <= -1) THEN B2OMC2_F = .;
   IF (B2OMC3_F <= -1) THEN B2OMC3_F = .;
   IF (B2OMC4_F <= -1) THEN B2OMC4_F = .;
   IF (B2OMC5_F <= -1) THEN B2OMC5_F = .;
   IF (B2OMC6_F <= -1) THEN B2OMC6_F = .;
   IF (B2OMCT_F <= -1) THEN B2OMCT_F = .;
   IF (B2OMD1_F <= -1) THEN B2OMD1_F = .;
   IF (B2OMD2_F <= -1) THEN B2OMD2_F = .;
   IF (B2OMD3_F <= -1) THEN B2OMD3_F = .;
   IF (B2OMD4_F <= -1) THEN B2OMD4_F = .;
   IF (B2OMD5_F <= -1) THEN B2OMD5_F = .;
   IF (B2OMD6_F <= -1) THEN B2OMD6_F = .;
   IF (B2OMD7_F <= -1) THEN B2OMD7_F = .;
   IF (B2OMD8_F <= -1) THEN B2OMD8_F = .;
   IF (B2OMDT_F <= -1) THEN B2OMDT_F = .;
   IF (B2OME1_F <= -1) THEN B2OME1_F = .;
   IF (B2OME2_F <= -1) THEN B2OME2_F = .;
   IF (B2OME3_F <= -1) THEN B2OME3_F = .;
   IF (B2OME4_F <= -1) THEN B2OME4_F = .;
   IF (B2OME5_F <= -1) THEN B2OME5_F = .;
   IF (B2OME6_F <= -1) THEN B2OME6_F = .;
   IF (B2OME7_F <= -1) THEN B2OME7_F = .;
   IF (B2OME8_F <= -1) THEN B2OME8_F = .;
   IF (B2OME9_F <= -1) THEN B2OME9_F = .;
   IF (B2OME10F <= -1) THEN B2OME10F = .;
   IF (B2OMET_F <= -1) THEN B2OMET_F = .;
   IF (B2ONT_F <= -1) THEN B2ONT_F = .;
   IF (B2ONA1_F <= -1) THEN B2ONA1_F = .;
   IF (B2ONA2_F <= -1) THEN B2ONA2_F = .;
   IF (B2ONA3_F <= -1) THEN B2ONA3_F = .;
   IF (B2ONAT_F <= -1) THEN B2ONAT_F = .;
   IF (B2ONB1_F <= -1) THEN B2ONB1_F = .;
   IF (B2ONB2_F <= -1) THEN B2ONB2_F = .;
   IF (B2ONB3_F <= -1) THEN B2ONB3_F = .;
   IF (B2ONB4_F <= -1) THEN B2ONB4_F = .;
   IF (B2ONB5_F <= -1) THEN B2ONB5_F = .;
   IF (B2ONB6_F <= -1) THEN B2ONB6_F = .;
   IF (B2ONBT_F <= -1) THEN B2ONBT_F = .;
   IF (B2ONC1_F <= -1) THEN B2ONC1_F = .;
   IF (B2ONC2_F <= -1) THEN B2ONC2_F = .;
   IF (B2ONC3_F <= -1) THEN B2ONC3_F = .;
   IF (B2ONC4_F <= -1) THEN B2ONC4_F = .;
   IF (B2ONC5_F <= -1) THEN B2ONC5_F = .;
   IF (B2ONC6_F <= -1) THEN B2ONC6_F = .;
   IF (B2ONCT_F <= -1) THEN B2ONCT_F = .;
   IF (B2OND1_F <= -1) THEN B2OND1_F = .;
   IF (B2OND2_F <= -1) THEN B2OND2_F = .;
   IF (B2OND3_F <= -1) THEN B2OND3_F = .;
   IF (B2OND4_F <= -1) THEN B2OND4_F = .;
   IF (B2OND5_F <= -1) THEN B2OND5_F = .;
   IF (B2OND6_F <= -1) THEN B2OND6_F = .;
   IF (B2OND7_F <= -1) THEN B2OND7_F = .;
   IF (B2OND8_F <= -1) THEN B2OND8_F = .;
   IF (B2ONDT_F <= -1) THEN B2ONDT_F = .;
   IF (B2ONE1_F <= -1) THEN B2ONE1_F = .;
   IF (B2ONE2_F <= -1) THEN B2ONE2_F = .;
   IF (B2ONE3_F <= -1) THEN B2ONE3_F = .;
   IF (B2ONE4_F <= -1) THEN B2ONE4_F = .;
   IF (B2ONE5_F <= -1) THEN B2ONE5_F = .;
   IF (B2ONE6_F <= -1) THEN B2ONE6_F = .;
   IF (B2ONE7_F <= -1) THEN B2ONE7_F = .;
   IF (B2ONE8_F <= -1) THEN B2ONE8_F = .;
   IF (B2ONE9_F <= -1) THEN B2ONE9_F = .;
   IF (B2ONE10F <= -1) THEN B2ONE10F = .;
   IF (B2ONET_F <= -1) THEN B2ONET_F = .;
   IF (B3_F <= -1) THEN B3_F = .;
   IF (B4_F <= -1) THEN B4_F = .;
   IF (B11_F <= -1) THEN B11_F = .;
   IF (B12A_F <= -1) THEN B12A_F = .;
   IF (B12B_F <= -1) THEN B12B_F = .;
   IF (B13_F <= -1) THEN B13_F = .;
   IF (B14_F <= -1) THEN B14_F = .;
   IF (B15A_F <= -1) THEN B15A_F = .;
   IF (B15B_F <= -1) THEN B15B_F = .;
   IF (B15C_F <= -1) THEN B15C_F = .;
   IF (B15D_F <= -1) THEN B15D_F = .;
   IF (B15E_F <= -1) THEN B15E_F = .;
   IF (C2A1_F <= -1) THEN C2A1_F = .;
   IF (C2B1_F <= -1) THEN C2B1_F = .;
   IF (C2C1_F <= -1) THEN C2C1_F = .;
   IF (C2D1_F <= -1) THEN C2D1_F = .;
   IF (C2E1_F <= -1) THEN C2E1_F = .;
   IF (C2F1_F <= -1) THEN C2F1_F = .;
   IF (C4A_F <= -1) THEN C4A_F = .;
   IF (C4ANUM_F <= -1) THEN C4ANUM_F = .;
   IF (C4B_F <= -1) THEN C4B_F = .;
   IF (C4BNUM_F <= -1) THEN C4BNUM_F = .;
   IF (D1_F <= -1) THEN D1_F = .;
   IF (D4_F <= -1) THEN D4_F = .;
   IF (D7_F <= -1) THEN D7_F = .;
   IF (D8A_F <= -1) THEN D8A_F = .;
   IF (D8APC_F <= -1) THEN D8APC_F = .;
   IF (D8B_F <= -1) THEN D8B_F = .;
   IF (D8BPC_F <= -1) THEN D8BPC_F = .;
   IF (D8C_F <= -1) THEN D8C_F = .;
   IF (D8CPC_F <= -1) THEN D8CPC_F = .;
   IF (D8D_F <= -1) THEN D8D_F = .;
   IF (D8DPC_F <= -1) THEN D8DPC_F = .;
   IF (D8E_F <= -1) THEN D8E_F = .;
   IF (D8EPC_F <= -1) THEN D8EPC_F = .;
   IF (D8F_F <= -1) THEN D8F_F = .;
   IF (D8FPC_F <= -1) THEN D8FPC_F = .;
   IF (D8G_F <= -1) THEN D8G_F = .;
   IF (D8GPC_F <= -1) THEN D8GPC_F = .;
   IF (D8H_F <= -1) THEN D8H_F = .;
   IF (D8HPC_F <= -1) THEN D8HPC_F = .;
   IF (D8I_F <= -1) THEN D8I_F = .;
   IF (D8IPC_F <= -1) THEN D8IPC_F = .;
   IF (D8J_F <= -1) THEN D8J_F = .;
   IF (D8JPC_F <= -1) THEN D8JPC_F = .;
   IF (D8TOT_F <= -1) THEN D8TOT_F = .;
   IF (D12A_F <= -1) THEN D12A_F = .;
   IF (D12APC_F <= -1) THEN D12APC_F = .;
   IF (D12B_F <= -1) THEN D12B_F = .;
   IF (D12BPC_F <= -1) THEN D12BPC_F = .;
   IF (D12C_F <= -1) THEN D12C_F = .;
   IF (D12CPC_F <= -1) THEN D12CPC_F = .;
   IF (D12D_F <= -1) THEN D12D_F = .;
   IF (D13A_F <= -1) THEN D13A_F = .;
   IF (D13APC_F <= -1) THEN D13APC_F = .;
   IF (D13B_F <= -1) THEN D13B_F = .;
   IF (D13BPC_F <= -1) THEN D13BPC_F = .;
   IF (D13C_F <= -1) THEN D13C_F = .;
   IF (D14_F <= -1) THEN D14_F = .;
   IF (D15A_F <= -1) THEN D15A_F = .;
   IF (D15APC_F <= -1) THEN D15APC_F = .;
   IF (D15B_F <= -1) THEN D15B_F = .;
   IF (D15BPC_F <= -1) THEN D15BPC_F = .;
   IF (D15C_F <= -1) THEN D15C_F = .;
   IF (D15CPC_F <= -1) THEN D15CPC_F = .;
   IF (D15D_F <= -1) THEN D15D_F = .;
   IF (D16A_F <= -1) THEN D16A_F = .;
   IF (D16B_F <= -1) THEN D16B_F = .;
   IF (D16C_F <= -1) THEN D16C_F = .;
   IF (D16C1_F <= -1) THEN D16C1_F = .;
   IF (D16C2_F <= -1) THEN D16C2_F = .;
   IF (D16D_F <= -1) THEN D16D_F = .;
   IF (D16E_F <= -1) THEN D16E_F = .;
   IF (RATIOFLG <= -1) THEN RATIOFLG = .;
   IF (QFSTRAT <= -1) THEN QFSTRAT = .;
   IF (BUCLIENT <= -1) THEN BUCLIENT = .;
   IF (PH1FW0 <= -1.0000) THEN PH1FW0 = .;
   IF (VARSTRAT <= -1) THEN VARSTRAT = .;
   IF (VARUNIT <= -1) THEN VARUNIT = .;
   IF (PH1FW1 <= -1.0000) THEN PH1FW1 = .;
   IF (PH1FW2 <= -1.0000) THEN PH1FW2 = .;
   IF (PH1FW3 <= -1.0000) THEN PH1FW3 = .;
   IF (PH1FW4 <= -1.0000) THEN PH1FW4 = .;
   IF (PH1FW5 <= -1.0000) THEN PH1FW5 = .;
   IF (PH1FW6 <= -1.0000) THEN PH1FW6 = .;
   IF (PH1FW7 <= -1.0000) THEN PH1FW7 = .;
   IF (PH1FW8 <= -1.0000) THEN PH1FW8 = .;
   IF (PH1FW9 <= -1.0000) THEN PH1FW9 = .;
   IF (PH1FW10 <= -1.0000) THEN PH1FW10 = .;
   IF (PH1FW11 <= -1.0000) THEN PH1FW11 = .;
   IF (PH1FW12 <= -1.0000) THEN PH1FW12 = .;
   IF (PH1FW13 <= -1.0000) THEN PH1FW13 = .;
   IF (PH1FW14 <= -1.0000) THEN PH1FW14 = .;
   IF (PH1FW15 <= -1.0000) THEN PH1FW15 = .;
   IF (PH1FW16 <= -1.0000) THEN PH1FW16 = .;
   IF (PH1FW17 <= -1.0000) THEN PH1FW17 = .;
   IF (PH1FW18 <= -1.0000) THEN PH1FW18 = .;
   IF (PH1FW19 <= -1.0000) THEN PH1FW19 = .;
   IF (PH1FW20 <= -1.0000) THEN PH1FW20 = .;
   IF (PH1FW21 <= -1.0000) THEN PH1FW21 = .;
   IF (PH1FW22 <= -1.0000) THEN PH1FW22 = .;
   IF (PH1FW23 <= -1.0000) THEN PH1FW23 = .;
   IF (PH1FW24 <= -1.0000) THEN PH1FW24 = .;
   IF (PH1FW25 <= -1.0000) THEN PH1FW25 = .;
   IF (PH1FW26 <= -1.0000) THEN PH1FW26 = .;
   IF (PH1FW27 <= -1.0000) THEN PH1FW27 = .;
   IF (PH1FW28 <= -1.0000) THEN PH1FW28 = .;
   IF (PH1FW29 <= -1.0000) THEN PH1FW29 = .;
   IF (PH1FW30 <= -1.0000) THEN PH1FW30 = .;
   IF (PH1FW31 <= -1.0000) THEN PH1FW31 = .;
   IF (PH1FW32 <= -1.0000) THEN PH1FW32 = .;
   IF (PH1FW33 <= -1.0000) THEN PH1FW33 = .;
   IF (PH1FW34 <= -1.0000) THEN PH1FW34 = .;
   IF (PH1FW35 <= -1.0000) THEN PH1FW35 = .;
   IF (PH1FW36 <= -1.0000) THEN PH1FW36 = .;
   IF (PH1FW37 <= -1.0000) THEN PH1FW37 = .;
   IF (PH1FW38 <= -1.0000) THEN PH1FW38 = .;
   IF (PH1FW39 <= -1.0000) THEN PH1FW39 = .;
   IF (PH1FW40 <= -1.0000) THEN PH1FW40 = .;
   IF (PH1FW41 <= -1.0000) THEN PH1FW41 = .;
   IF (PH1FW42 <= -1.0000) THEN PH1FW42 = .;
   IF (PH1FW43 <= -1.0000) THEN PH1FW43 = .;
   IF (PH1FW44 <= -1.0000) THEN PH1FW44 = .;
   IF (PH1FW45 <= -1.0000) THEN PH1FW45 = .;
   IF (PH1FW46 <= -1.0000) THEN PH1FW46 = .;
   IF (PH1FW47 <= -1.0000) THEN PH1FW47 = .;
   IF (PH1FW48 <= -1.0000) THEN PH1FW48 = .;
   IF (PH1FW49 <= -1.0000) THEN PH1FW49 = .;
   IF (PH1FW50 <= -1.0000) THEN PH1FW50 = .;
   IF (PH1FW51 <= -1.0000) THEN PH1FW51 = .;
   IF (PH1FW52 <= -1.0000) THEN PH1FW52 = .;
   IF (PH1FW53 <= -1.0000) THEN PH1FW53 = .;
   IF (PH1FW54 <= -1.0000) THEN PH1FW54 = .;
   IF (PH1FW55 <= -1.0000) THEN PH1FW55 = .;
   IF (PH1FW56 <= -1.0000) THEN PH1FW56 = .;
   IF (PH1FW57 <= -1.0000) THEN PH1FW57 = .;
   IF (PH1FW58 <= -1.0000) THEN PH1FW58 = .;
   IF (PH1FW59 <= -1.0000) THEN PH1FW59 = .;
   IF (PH1FW60 <= -1.0000) THEN PH1FW60 = .;
   IF (PH1FW61 <= -1.0000) THEN PH1FW61 = .;
   IF (PH1FW62 <= -1.0000) THEN PH1FW62 = .;
   IF (PH1FW63 <= -1.0000) THEN PH1FW63 = .;
   IF (PH1FW64 <= -1.0000) THEN PH1FW64 = .;
   IF (PH1FW65 <= -1.0000) THEN PH1FW65 = .;
   IF (PH1FW66 <= -1.0000) THEN PH1FW66 = .;
   IF (PH1FW67 <= -1.0000) THEN PH1FW67 = .;
   IF (PH1FW68 <= -1.0000) THEN PH1FW68 = .;
   IF (PH1FW69 <= -1.0000) THEN PH1FW69 = .;
   IF (PH1FW70 <= -1.0000) THEN PH1FW70 = .;
   IF (PH1FW71 <= -1.0000) THEN PH1FW71 = .;
   IF (PH1FW72 <= -1.0000) THEN PH1FW72 = .;
   IF (PH1FW73 <= -1.0000) THEN PH1FW73 = .;
   IF (PH1FW74 <= -1.0000) THEN PH1FW74 = .;
   IF (PH1FW75 <= -1.0000) THEN PH1FW75 = .;
   IF (PH1FW76 <= -1.0000) THEN PH1FW76 = .;
   IF (PH1FW77 <= -1.0000) THEN PH1FW77 = .;
   IF (PH1FW78 <= -1.0000) THEN PH1FW78 = .;
   IF (PH1FW79 <= -1.0000) THEN PH1FW79 = .;
   IF (PH1FW80 <= -1.0000) THEN PH1FW80 = .;
   IF (PH1FW81 <= -1.0000) THEN PH1FW81 = .;
   IF (PH1FW82 <= -1.0000) THEN PH1FW82 = .;
   IF (PH1FW83 <= -1.0000) THEN PH1FW83 = .;
   IF (PH1FW84 <= -1.0000) THEN PH1FW84 = .;
   IF (PH1FW85 <= -1.0000) THEN PH1FW85 = .;
   IF (PH1FW86 <= -1.0000) THEN PH1FW86 = .;
   IF (PH1FW87 <= -1.0000) THEN PH1FW87 = .;
   IF (PH1FW88 <= -1.0000) THEN PH1FW88 = .;
   IF (PH1FW89 <= -1.0000) THEN PH1FW89 = .;
   IF (PH1FW90 <= -1.0000) THEN PH1FW90 = .;
   IF (PH1FW91 <= -1.0000) THEN PH1FW91 = .;
   IF (PH1FW92 <= -1.0000) THEN PH1FW92 = .;
   IF (PH1FW93 <= -1.0000) THEN PH1FW93 = .;
   IF (PH1FW94 <= -1.0000) THEN PH1FW94 = .;
   IF (PH1FW95 <= -1.0000) THEN PH1FW95 = .;
   IF (PH1FW96 <= -1.0000) THEN PH1FW96 = .;
   IF (PH1FW97 <= -1.0000) THEN PH1FW97 = .;
   IF (PH1FW98 <= -1.0000) THEN PH1FW98 = .;
   IF (PH1FW99 <= -1.0000) THEN PH1FW99 = .;
   IF (PH1FW100 <= -1.0000) THEN PH1FW100 = .;
   IF (PH1FW101 <= -1.0000) THEN PH1FW101 = .;
   IF (PH1FW102 <= -1.0000) THEN PH1FW102 = .;
   IF (PH1FW103 <= -1.0000) THEN PH1FW103 = .;
   IF (PH1FW104 <= -1.0000) THEN PH1FW104 = .;
   IF (PH1FW105 <= -1.0000) THEN PH1FW105 = .;
   IF (PH1FW106 <= -1.0000) THEN PH1FW106 = .;
   IF (PH1FW107 <= -1.0000) THEN PH1FW107 = .;
   IF (PH1FW108 <= -1.0000) THEN PH1FW108 = .;
   IF (PH1FW109 <= -1.0000) THEN PH1FW109 = .;
   IF (PH1FW110 <= -1.0000) THEN PH1FW110 = .;
   IF (PH1FW111 <= -1.0000) THEN PH1FW111 = .;
   IF (PH1FW112 <= -1.0000) THEN PH1FW112 = .;
   IF (PH1FW113 <= -1.0000) THEN PH1FW113 = .;
   IF (PH1FW114 <= -1.0000) THEN PH1FW114 = .;
   IF (PH1FW115 <= -1.0000) THEN PH1FW115 = .;
   IF (PH1FW116 <= -1.0000) THEN PH1FW116 = .;
   IF (PH1FW117 <= -1.0000) THEN PH1FW117 = .;
   IF (PH1FW118 <= -1.0000) THEN PH1FW118 = .;
   IF (PH1FW119 <= -1.0000) THEN PH1FW119 = .;
   IF (PH1FW120 <= -1.0000) THEN PH1FW120 = .;
   IF (PH1FW121 <= -1.0000) THEN PH1FW121 = .;
   IF (PH1FW122 <= -1.0000) THEN PH1FW122 = .;
   IF (PH1FW123 <= -1.0000) THEN PH1FW123 = .;
   IF (PH1FW124 <= -1.0000) THEN PH1FW124 = .;
   IF (PH1FW125 <= -1.0000) THEN PH1FW125 = .;
   IF (PH1FW126 <= -1.0000) THEN PH1FW126 = .;
   IF (PH1FW127 <= -1.0000) THEN PH1FW127 = .;
   IF (PH1FW128 <= -1.0000) THEN PH1FW128 = .;
   IF (PH1FW129 <= -1.0000) THEN PH1FW129 = .;
   IF (PH1FW130 <= -1.0000) THEN PH1FW130 = .;
   IF (PH1FW131 <= -1.0000) THEN PH1FW131 = .;
   IF (PH1FW132 <= -1.0000) THEN PH1FW132 = .;
   IF (PH1FW133 <= -1.0000) THEN PH1FW133 = .;
   IF (PH1FW134 <= -1.0000) THEN PH1FW134 = .;
   IF (PH1FW135 <= -1.0000) THEN PH1FW135 = .;
   IF (PH1FW136 <= -1.0000) THEN PH1FW136 = .;
   IF (PH1FW137 <= -1.0000) THEN PH1FW137 = .;
   IF (PH1FW138 <= -1.0000) THEN PH1FW138 = .;
   IF (PH1FW139 <= -1.0000) THEN PH1FW139 = .;
   IF (PH1FW140 <= -1.0000) THEN PH1FW140 = .;
   IF (PH1FW141 <= -1.0000) THEN PH1FW141 = .;
   IF (PH1FW142 <= -1.0000) THEN PH1FW142 = .;
   IF (PH1FW143 <= -1.0000) THEN PH1FW143 = .;
   IF (PH1FW144 <= -1.0000) THEN PH1FW144 = .;
   IF (PH1FW145 <= -1.0000) THEN PH1FW145 = .;
   IF (PH1FW146 <= -1.0000) THEN PH1FW146 = .;
   IF (PH1FW147 <= -1.0000) THEN PH1FW147 = .;
   IF (PH1FW148 <= -1.0000) THEN PH1FW148 = .;
   IF (PH1FW149 <= -1.0000) THEN PH1FW149 = .;
   IF (PH1FW150 <= -1.0000) THEN PH1FW150 = .;
   IF (PH1FW151 <= -1.0000) THEN PH1FW151 = .;
   IF (PH1FW152 <= -1.0000) THEN PH1FW152 = .;
   IF (PH1FW153 <= -1.0000) THEN PH1FW153 = .;
   IF (PH1FW154 <= -1.0000) THEN PH1FW154 = .;
   IF (PH1FW155 <= -1.0000) THEN PH1FW155 = .;
   IF (PH1FW156 <= -1.0000) THEN PH1FW156 = .;
   IF (PH1FW157 <= -1.0000) THEN PH1FW157 = .;
   IF (PH1FW158 <= -1.0000) THEN PH1FW158 = .;
   IF (PH1FW159 <= -1.0000) THEN PH1FW159 = .;
   IF (PH1FW160 <= -1.0000) THEN PH1FW160 = .;
   IF (PH1FW161 <= -1.0000) THEN PH1FW161 = .;
   IF (PH1FW162 <= -1.0000) THEN PH1FW162 = .;
   IF (PH1FW163 <= -1.0000) THEN PH1FW163 = .;
   IF (PH1FW164 <= -1.0000) THEN PH1FW164 = .;
   IF (PH1FW165 <= -1.0000) THEN PH1FW165 = .;
   IF (PH1FW166 <= -1.0000) THEN PH1FW166 = .;
   IF (PH1FW167 <= -1.0000) THEN PH1FW167 = .;
   IF (PH1FW168 <= -1.0000) THEN PH1FW168 = .;
   IF (PH1FW169 <= -1.0000) THEN PH1FW169 = .;
   IF (PH1FW170 <= -1.0000) THEN PH1FW170 = .;
   IF (PH1FW171 <= -1.0000) THEN PH1FW171 = .;
   IF (PH1FW172 <= -1.0000) THEN PH1FW172 = .;
   IF (PH1FW173 <= -1.0000) THEN PH1FW173 = .;
   IF (PH1FW174 <= -1.0000) THEN PH1FW174 = .;
   IF (PH1FW175 <= -1.0000) THEN PH1FW175 = .;
   IF (PH1FW176 <= -1.0000) THEN PH1FW176 = .;
   IF (PH1FW177 <= -1.0000) THEN PH1FW177 = .;
   IF (PH1FW178 <= -1.0000) THEN PH1FW178 = .;
   IF (PH1FW179 <= -1.0000) THEN PH1FW179 = .;
   IF (PH1FW180 <= -1.0000) THEN PH1FW180 = .;
   IF (PH1FW181 <= -1.0000) THEN PH1FW181 = .;
   IF (PH1FW182 <= -1.0000) THEN PH1FW182 = .;
   IF (PH1FW183 <= -1.0000) THEN PH1FW183 = .;
   IF (PH1FW184 <= -1.0000) THEN PH1FW184 = .;
   IF (PH1FW185 <= -1.0000) THEN PH1FW185 = .;
   IF (PH1FW186 <= -1.0000) THEN PH1FW186 = .;
   IF (PH1FW187 <= -1.0000) THEN PH1FW187 = .;
   IF (PH1FW188 <= -1.0000) THEN PH1FW188 = .;
   IF (PH1FW189 <= -1.0000) THEN PH1FW189 = .;
   IF (PH1FW190 <= -1.0000) THEN PH1FW190 = .;
   IF (PH1FW191 <= -1.0000) THEN PH1FW191 = .;
   IF (PH1FW192 <= -1.0000) THEN PH1FW192 = .;
   IF (PH1FW193 <= -1.0000) THEN PH1FW193 = .;
   IF (PH1FW194 <= -1.0000) THEN PH1FW194 = .;
   IF (PH1FW195 <= -1.0000) THEN PH1FW195 = .;
   IF (PH1FW196 <= -1.0000) THEN PH1FW196 = .;
   IF (PH1FW197 <= -1.0000) THEN PH1FW197 = .;
   IF (PH1FW198 <= -1.0000) THEN PH1FW198 = .;
   IF (PH1FW199 <= -1.0000) THEN PH1FW199 = .;
   IF (PH1FW200 <= -1.0000) THEN PH1FW200 = .;
   IF (STRATUM <= -1) THEN STRATUM = .;
   IF (PSUTYPE2 <= -1) THEN PSUTYPE2 = .;
   IF (CENREG <= -1) THEN CENREG = .;
   IF (TOTCNT <= -1) THEN TOTCNT = .;
   IF (SMPCNT <= -1) THEN SMPCNT = .;
   IF (TYPCARE5 <= -1) THEN TYPCARE5 = .;
   IF (SUPPSVC <= -1) THEN SUPPSVC = .;
   IF (TXSVC3 <= -1) THEN TXSVC3 = .;
   IF (BEALE <= -1) THEN BEALE = .;
   IF (BEAL_REC <= -1) THEN BEAL_REC = .;
*/

RUN ;
